ApplicationReaderFromGenericResource (opengcubeapplication 1.0.0-SNAPSHOT API)
Date: 2013-02-26

org.gcube.portlets.user.opengcubeapplication

## Class ApplicationReaderFromGenericResource

- java.lang.Object
- - org.gcube.portlets.user.opengcubeapplication.ApplicationReaderFromGenericResource

-     public class ApplicationReaderFromGenericResource
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationReaderFromGenericResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getURLFromApplicationProfile(String oid, org.gcube.application.framework.core.session.ASLSession session, javax.servlet.http.HttpSession httpSession)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.gcube.common.core.utils.logging.GCUBELog logger

  - ### Constructor Detail

    - #### ApplicationReaderFromGenericResource

          public ApplicationReaderFromGenericResource()

  - ### Method Detail

    - #### getURLFromApplicationProfile

          public String getURLFromApplicationProfile(String oid,
                                            org.gcube.application.framework.core.session.ASLSession session,
                                            javax.servlet.http.HttpSession httpSession)
                                              throws GetUrlFromApplicationProfileException

      Parameters:
        `oid` - - the oid of the workspace item that must be opened
        `session` - - the asl session
        `httpSession` - - the current httpsession
      Returns:
      Throws:
        `GetUrlFromApplicationProfileException`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.